FunctionalTestPhaseConfigurer (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.runner.phase

## [Groovy] Class FunctionalTestPhaseConfigurer

- org.codehaus.groovy.grails.test.runner.phase.FunctionalTestPhaseConfigurer

- Test phase configurer for the functional phase

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected MetaClassRegistryCleaner` | `registryCleaner` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `baseUrl`
    `java.lang.String` | `functionalBaseUrl`
    `boolean` | `https`
    `boolean` | `httpsBaseUrl`
    `GrailsProjectRunner` | `projectRunner`
    `boolean` | `warMode`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FunctionalTestPhaseConfigurer (GrailsProjectRunner projectRunner)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cleanup(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)`
    `void` | `prepare(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultTestPhaseConfigurer` | `cleanup, prepare`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected MetaClassRegistryCleaner registryCleaner

  - ### Property Detail

    - #### java.lang.String baseUrl

    - #### java.lang.String functionalBaseUrl

    - #### boolean https

    - #### boolean httpsBaseUrl

    - #### GrailsProjectRunner projectRunner

    - #### boolean warMode

  - ### Constructor Detail

    - #### FunctionalTestPhaseConfigurer(GrailsProjectRunner projectRunner)

  - ### Method Detail

    - #### @java.lang.Override void cleanup(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)

    - #### @java.lang.Override void prepare(groovy.lang.Binding testExecutionContext, java.util.Map<java.lang.String, java.lang.Object> testOptions)